• git merge origin/v0.7.x
    error: Your local changes to the following files would be overwritten by merge:
    public/language/tr/global.json
    public/language/tr/modules.json
    public/language/tr/notifications.json
    public/language/tr/pages.json
    public/language/tr/user.json
    Please, commit your changes or stash them before you can merge.
    Aborting

    ./nodebb upgrade
    npm WARN package.json nodebb-plugin-dbsearch@0.1.1 No repository field.
    nodebb-plugin-soundpack-default@0.1.1 node_modules/nodebb-plugin-soundpack-default

    nodebb-widget-essentials@0.2.10 node_modules/nodebb-widget-essentials

    nodebb-theme-vanilla@0.2.35 node_modules/nodebb-theme-vanilla

    nodebb-plugin-markdown@0.8.5 node_modules/nodebb-plugin-markdown
    ā””ā”€ā”€ remarkable@1.6.0 (argparse@0.1.16, autolinker@0.15.2)
    npm WARN package.json nodebb-plugin-dbsearch@0.1.1 No repository field.
    nodebb-widget-essentials@0.2.10 node_modules/nodebb-widget-essentials

    nodebb-theme-lavender@0.2.13 node_modules/nodebb-theme-lavender

    nodebb-theme-vanilla@0.2.35 node_modules/nodebb-theme-vanilla
    24/5 08:24 [1903] - info: NodeBB v0.6.1 Copyright (C) 2013-2014 NodeBB Inc.
    24/5 08:24 [1903] - info: This program comes with ABSOLUTELY NO WARRANTY.
    24/5 08:24 [1903] - info: This is free software, and you are welcome to redistribute it under certain conditions.
    24/5 08:24 [1903] - info:
    Warning: Redis server does not require a password, but a password was supplied.
    Warning: Redis server does not require a password, but a password was supplied.
    Warning: Redis server does not require a password, but a password was supplied.
    24/5 08:24 [1903] - info: Beginning database schema update
    24/5 08:24 [1903] - info: [2014/10/31] Applying newbiePostDelay values skipped
    24/5 08:24 [1903] - info: [2014/11/6] Updating topic authorship sorted set skipped
    24/5 08:24 [1903] - info: [2014/11/7] Renaming sorted sets skipped
    24/5 08:24 [1903] - info: [2014/11/11] Upgrading permissions skipped
    24/5 08:24 [1903] - info: [2014/11/17] Updating user email digest settings skipped
    24/5 08:24 [1903] - info: [2014/11/29] Updating config.json to new format skipped
    24/5 08:24 [1903] - info: [2014/12/2] Removing register user fields skipped
    24/5 08:24 [1903] - info: [2014/12/12] Updating teasers skipped
    24/5 08:24 [1903] - info: [2014/12/20] Updating digest settings skipped
    24/5 08:24 [1903] - info: [2015/01/08] Updating category topics sorted sets skipped
    24/5 08:24 [1903] - info: [2015/01/09] Creating fullname:uid hash skipped
    24/5 08:24 [1903] - info: [2015/01/13] Creating uid:followed_tids sorted set skipped
    24/5 08:24 [1903] - info: [2015/01/14] Upgrading follow sets to sorted sets skipped
    24/5 08:24 [1903] - info: [2015/01/15] Creating topiccount for users skipped
    24/5 08:24 [1903] - info: [2015/01/19] Generating group slugs skipped
    24/5 08:24 [1903] - info: [2015/01/21] Upgrading groups to sorted set skipped
    24/5 08:24 [1903] - info: [2015/01/30] Adding group member counts skipped
    24/5 08:24 [1903] - info: [upgrade] Schema already up to date!

    I can not update

  • GNU/Linux Admin

    @osman123 Git is complaining that you modified files in the Turkish translation, so it cannot update the files.

    You'll want to back up those files, then run git reset --hard origin/master, and then ./nodebb upgrade

    Depending on the changes you made, you might not need to put back the altered files.


  • I'll try tonight, thanks


  • ./nodebb log

    at Function.Module._load (module.js:312:12)
    at Module.require (module.js:364:17)
    at require (module.js:380:17)
    at Object.<anonymous> (/home/yasin/nodebb/node_modules/mmmagic/index.js:3:13)
    at Module._compile (module.js:456:26)
    at Object.Module._extensions..js (module.js:474:10)
    at Module.load (module.js:356:32)
    at Function.Module._load (module.js:312:12)
    at Module.require (module.js:364:17)
    

    3 restarts in 10 seconds, most likely an error on startup. Halting.


  • Dev

    24/5 18:37 [4664] - info: Time: Sun May 24 2015 18:37:47 GMT-0400 (EDT)
    24/5 18:37 [4664] - info: Initializing NodeBB v0.7.0
    24/5 18:37 [4664] - verbose: * using configuration stored in: /home/yasin/nodebb/config.json
    24/5 18:37 [4664] - verbose: * using redis store at 127.0.0.1:6379
    24/5 18:37 [4664] - verbose: * using themes stored in: /home/yasin/nodebb/node_modules
    24/5 18:37 [4664] - error: Error: /home/yasin/nodebb/node_modules/mmmagic/build/Release/magic.node: undefined symbol: node_module_register
    at Module.load (module.js:356:32)
    at Function.Module._load (module.js:312:12)
    at Module.require (module.js:364:17)
    at require (module.js:380:17)
    at Object.<anonymous> (/home/yasin/nodebb/node_modules/mmmagic/index.js:3:13)
    at Module._compile (module.js:456:26)
    at Object.Module._extensions..js (module.js:474:10)
    at Module.load (module.js:356:32)
    at Function.Module._load (module.js:312:12)
    at Module.require (module.js:364:17)
    Error: /home/yasin/nodebb/node_modules/mmmagic/build/Release/magic.node: undefined symbol: node_module_register
    at Module.load (module.js:356:32)
    at Function.Module._load (module.js:312:12)
    at Module.require (module.js:364:17)
    at require (module.js:380:17)
    at Object.<anonymous> (/home/yasin/nodebb/node_modules/mmmagic/index.js:3:13)
    at Module._compile (module.js:456:26)
    at Object.Module._extensions..js (module.js:474:10)
    at Module.load (module.js:356:32)
    at Function.Module._load (module.js:312:12)
    at Module.require (module.js:364:17)


  • Help pls

  • GNU/Linux Admin

    Run npm install again.


  • @julian I did it again but still did not. šŸ˜ž

  • Gamers Admin

    @lombisi said:

    undefined symbol: node_module_register

    This error sounds like this http://stackoverflow.com/questions/29495599/bcrypt-lib-node-undefined-symbol-node-module-register

    What is the version of nodejs installed? Use node -v to find out.


  • @baris i have: v0.12.3
    What should have been?


  • npm install -g n # Install n globally
    n 0.10.33 # Install and use v0.10.33


    $ git fetch
    $ git checkout v0.7.x
    $ git merge origin/v0.7.x

    ./nodebb upgrade

    It was dissolved

Suggested Topics

| |